<testsuites>
  <!--Report is generated by Rally 3.0.0 at 2020-04-10T01:47:35.112933-->
  <testsuite errors="0" failures="0" id="ed404157-9f15-4836-a773-1465154cd124" skipped="0" tests="6" time="29.00" timestamp="2020-04-10T01:29:34">
    <testcase classname="Authenticate" id="295ff3ce-7182-4550-a7c0-82786fefb153" name="keystone" time="3.34" timestamp="2020-04-10T01:29:38" />
    <testcase classname="Authenticate" id="d154fec7-d33a-4dc4-bf9a-ec3567fdc2d0" name="validate_cinder" time="3.16" timestamp="2020-04-10T01:29:42" />
    <testcase classname="Authenticate" id="ad4cccce-1309-4428-b52e-bc3628c8cb20" name="validate_glance" time="3.11" timestamp="2020-04-10T01:29:46" />
    <testcase classname="Authenticate" id="36e33668-a4f3-4ba0-99c8-2c7f5577f44f" name="validate_heat" time="3.12" timestamp="2020-04-10T01:29:50" />
    <testcase classname="Authenticate" id="5cb5ca14-983e-4974-9070-174858eac843" name="validate_neutron" time="2.88" timestamp="2020-04-10T01:29:54" />
    <testcase classname="Authenticate" id="2591727c-8c90-48ac-b7d1-53c8f0c372f5" name="validate_nova" time="3.44" timestamp="2020-04-10T01:29:59" />
  </testsuite>
  <testsuite errors="0" failures="0" id="6ccb4809-83f2-4f86-8711-2247e6624720" skipped="0" tests="4" time="51.00" timestamp="2020-04-10T01:30:13">
    <testcase classname="GlanceImages" id="5fd0abef-0175-4c67-961e-49a5739e9be0" name="create_and_delete_image" time="6.93" timestamp="2020-04-10T01:30:17" />
    <testcase classname="GlanceImages" id="943a09b5-98b1-40a7-964d-061fb23ddebf" name="create_and_list_image" time="7.77" timestamp="2020-04-10T01:30:25" />
    <testcase classname="GlanceImages" id="e1a72364-cad9-46f1-90d5-2f8b986f9dca" name="list_images" time="3.04" timestamp="2020-04-10T01:30:33" />
    <testcase classname="GlanceImages" id="3904bd26-e333-46ce-9a98-dbff12682e48" name="create_image_and_boot_instances" time="25.93" timestamp="2020-04-10T01:30:37" />
  </testsuite>
  <testsuite errors="0" failures="0" id="61171956-9b45-4c84-83c5-5e9e3e1e3848" skipped="0" tests="10" time="117.00" timestamp="2020-04-10T01:31:14">
    <testcase classname="CinderVolumes" id="c815af1f-481f-491d-b862-9d8895c6980c" name="create_and_delete_snapshot" time="14.92" timestamp="2020-04-10T01:31:19" />
    <testcase classname="CinderVolumes" id="c7dedfcf-6f61-4145-b491-2344d6dad917" name="create_and_delete_volume" time="9.17" timestamp="2020-04-10T01:31:36" />
    <testcase classname="CinderVolumes" id="7240b50a-5a85-4a25-a8b5-aff683a2d27b" name="create_and_delete_volume" time="12.28" timestamp="2020-04-10T01:31:46" />
    <testcase classname="CinderVolumes" id="1a7ff3ff-278a-4a88-b4b7-9a35ac20a1e5" name="create_and_delete_volume" time="10.52" timestamp="2020-04-10T01:32:00" />
    <testcase classname="CinderVolumes" id="ae6a0373-cc97-4c77-b605-f941e9212cd2" name="create_and_extend_volume" time="10.96" timestamp="2020-04-10T01:32:12" />
    <testcase classname="CinderVolumes" id="18789165-5e61-4fed-bda5-05a4139af6a9" name="create_from_volume_and_delete_volume" time="16.61" timestamp="2020-04-10T01:32:24" />
    <testcase classname="CinderQos" id="9cb33301-056d-41ee-b83b-56a7a2a3dca1" name="create_and_list_qos" time="6.05" timestamp="2020-04-10T01:32:43" />
    <testcase classname="CinderQos" id="cadc4736-5774-4b9e-a79f-aed09b1545bf" name="create_and_set_qos" time="6.15" timestamp="2020-04-10T01:32:51" />
    <testcase classname="CinderVolumeTypes" id="feef90f5-f442-48ba-b0ca-74959a890b13" name="create_and_list_volume_types" time="5.89" timestamp="2020-04-10T01:32:59" />
    <testcase classname="CinderVolumeTypes" id="7cb80c95-dfb4-4ebe-bce9-d6e3b45d2d5b" name="create_volume_type_and_encryption_type" time="5.83" timestamp="2020-04-10T01:33:05" />
  </testsuite>
  <testsuite errors="0" failures="0" id="dad227c0-4ada-4687-ac46-e0526d4c6d87" skipped="0" tests="4" time="50.00" timestamp="2020-04-10T01:33:21">
    <testcase classname="HeatStacks" id="2b7fff13-7c41-4284-b0e1-24a6bdf36478" name="create_update_delete_stack" time="12.05" timestamp="2020-04-10T01:33:30" />
    <testcase classname="HeatStacks" id="c30a23dc-ed84-46c5-8dc2-3c3d5f952e6f" name="create_check_delete_stack" time="9.83" timestamp="2020-04-10T01:33:42" />
    <testcase classname="HeatStacks" id="861b4c97-8203-4f7b-9b2d-9470d73f39ae" name="create_suspend_resume_delete_stack" time="12.99" timestamp="2020-04-10T01:33:52" />
    <testcase classname="HeatStacks" id="b122b250-5a74-425c-a988-593f02016455" name="list_stacks_and_resources" time="3.81" timestamp="2020-04-10T01:34:07" />
  </testsuite>
  <testsuite errors="0" failures="0" id="d2debdd2-7edc-4967-bb96-57fd52d71040" skipped="0" tests="11" time="85.00" timestamp="2020-04-10T01:34:22">
    <testcase classname="KeystoneBasic" id="f6a9951b-a43f-403c-8259-d7edcc8e426d" name="add_and_remove_user_role" time="6.81" timestamp="2020-04-10T01:34:25" />
    <testcase classname="KeystoneBasic" id="05c27313-1461-465f-9892-b06c70312c3d" name="create_add_and_list_user_roles" time="5.90" timestamp="2020-04-10T01:34:33" />
    <testcase classname="KeystoneBasic" id="d2095e97-9452-40fd-9c59-0d02794defa8" name="create_and_list_tenants" time="5.66" timestamp="2020-04-10T01:34:39" />
    <testcase classname="KeystoneBasic" id="fd39f609-409d-4031-8ca7-b135227b7444" name="create_and_delete_role" time="4.94" timestamp="2020-04-10T01:34:46" />
    <testcase classname="KeystoneBasic" id="fee1118c-e355-42c3-8c81-d5104ceb492f" name="create_and_delete_service" time="4.61" timestamp="2020-04-10T01:34:52" />
    <testcase classname="KeystoneBasic" id="bf3129ca-beef-4c87-9e8d-0f252b539d5f" name="get_entities" time="9.19" timestamp="2020-04-10T01:34:58" />
    <testcase classname="KeystoneBasic" id="faf2954f-9428-4b4f-8899-e0bc7cc058a8" name="create_update_and_delete_tenant" time="4.31" timestamp="2020-04-10T01:35:08" />
    <testcase classname="KeystoneBasic" id="2a94f21d-0e6a-40a1-ae0b-09ab6e73ade4" name="create_user" time="5.52" timestamp="2020-04-10T01:35:14" />
    <testcase classname="KeystoneBasic" id="b8651555-81dc-413b-84db-f9ae55830cde" name="create_tenant" time="5.77" timestamp="2020-04-10T01:35:21" />
    <testcase classname="KeystoneBasic" id="332d1e7e-adb4-40ba-88b0-a495df2b07b3" name="create_and_list_users" time="6.88" timestamp="2020-04-10T01:35:27" />
    <testcase classname="KeystoneBasic" id="e063ce23-0695-4a8b-a8e1-ae25e1a5ccb1" name="create_tenant_with_users" time="11.64" timestamp="2020-04-10T01:35:35" />
  </testsuite>
  <testsuite errors="0" failures="0" id="2321b819-0d9c-4f75-892b-aa8f1a6853de" skipped="0" tests="11" time="158.00" timestamp="2020-04-10T01:35:58">
    <testcase classname="NeutronNetworks" id="b072326b-1190-4f1e-bf44-ab53c8497f82" name="create_and_delete_networks" time="7.56" timestamp="2020-04-10T01:36:02" />
    <testcase classname="NeutronNetworks" id="11faffe9-7bd7-4b85-a706-c0dac997a7f7" name="create_and_delete_ports" time="13.35" timestamp="2020-04-10T01:36:10" />
    <testcase classname="NeutronNetworks" id="a1c1d3d4-80af-4633-bfc2-1b34ae448a6c" name="create_and_delete_routers" time="20.11" timestamp="2020-04-10T01:36:25" />
    <testcase classname="NeutronNetworks" id="d1e3e326-3eed-49f7-b00d-0c94c88c156c" name="create_and_delete_subnets" time="13.26" timestamp="2020-04-10T01:36:47" />
    <testcase classname="NeutronNetworks" id="1c64f9a5-9b4f-42fc-b97c-c0ccf701e083" name="create_and_list_networks" time="8.84" timestamp="2020-04-10T01:37:01" />
    <testcase classname="NeutronNetworks" id="2c884871-d248-4fed-b002-04c91e076ea5" name="create_and_list_ports" time="13.04" timestamp="2020-04-10T01:37:11" />
    <testcase classname="NeutronNetworks" id="8f2156f2-c5c3-457d-bb45-72fe90d23272" name="create_and_list_routers" time="20.66" timestamp="2020-04-10T01:37:25" />
    <testcase classname="NeutronNetworks" id="031716a5-8c4b-4eea-b222-9f806eeb29ef" name="create_and_list_subnets" time="14.91" timestamp="2020-04-10T01:37:48" />
    <testcase classname="NeutronSecurityGroup" id="feb1df06-69a3-4f29-9762-0068a3f8f94b" name="create_and_delete_security_groups" time="5.16" timestamp="2020-04-10T01:38:04" />
    <testcase classname="NeutronSecurityGroup" id="36970c52-b58d-4d91-866a-9a3340fccf01" name="create_and_delete_security_group_rule" time="6.60" timestamp="2020-04-10T01:38:10" />
    <testcase classname="NeutronNetworks" id="f7b6a593-bc07-4ac7-8b58-c3a84785a4be" name="set_and_clear_router_gateway" time="17.14" timestamp="2020-04-10T01:38:18" />
  </testsuite>
  <testsuite errors="0" failures="0" id="ee8c3084-1850-4f42-b0d1-e8de289d13dd" skipped="0" tests="10" time="363.00" timestamp="2020-04-10T01:38:47">
    <testcase classname="NovaServers" id="a68e7da0-7bc2-453e-a778-184002e36361" name="boot_and_live_migrate_server" time="32.66" timestamp="2020-04-10T01:38:59" />
    <testcase classname="NovaServers" id="83c907c9-e47c-4565-95e5-77d2df27631f" name="boot_server_attach_created_volume_and_live_migrate" time="45.11" timestamp="2020-04-10T01:39:33" />
    <testcase classname="NovaServers" id="4c8e35a8-f009-4739-bb03-4eed2dd22cc6" name="boot_server_from_volume_and_live_migrate" time="42.41" timestamp="2020-04-10T01:40:20" />
    <testcase classname="NovaKeypair" id="b35c591d-90ff-4a0c-b736-8616a6f2606e" name="boot_and_delete_server_with_keypair" time="33.71" timestamp="2020-04-10T01:41:04" />
    <testcase classname="NovaServers" id="4f8776e9-b943-4b99-908c-fa2b72ce8470" name="boot_server_from_volume_and_delete" time="37.61" timestamp="2020-04-10T01:41:38" />
    <testcase classname="NovaServers" id="3bed25c6-2543-48f1-b07c-fc2786161a19" name="pause_and_unpause_server" time="36.02" timestamp="2020-04-10T01:42:17" />
    <testcase classname="NovaServers" id="f4809427-ba74-4bf6-9095-c0ddd703bc89" name="boot_and_migrate_server" time="34.26" timestamp="2020-04-10T01:42:53" />
    <testcase classname="NovaServers" id="281346b3-4458-4eac-907a-2302badaa0cf" name="boot_server_and_list_interfaces" time="31.48" timestamp="2020-04-10T01:43:29" />
    <testcase classname="NovaServers" id="b4180fbe-490b-4796-a4e2-1d3d823baa70" name="boot_server_associate_and_dissociate_floating_ip" time="40.75" timestamp="2020-04-10T01:44:02" />
    <testcase classname="NovaServerGroups" id="fc6e73fd-7335-4a6e-8cbf-deca47be3085" name="create_and_delete_server_group" time="4.68" timestamp="2020-04-10T01:44:44" />
  </testsuite>
  <testsuite errors="0" failures="0" id="16ef46c7-e1de-45b5-acf6-cd3f6a322caf" skipped="0" tests="4" time="20.00" timestamp="2020-04-10T01:45:00">
    <testcase classname="Quotas" id="dd55d042-9630-4819-887c-dd6d41c2f933" name="cinder_update_and_delete" time="2.97" timestamp="2020-04-10T01:45:04" />
    <testcase classname="Quotas" id="e12764bf-8b2f-4f7f-8710-fd95036471a8" name="cinder_update" time="3.02" timestamp="2020-04-10T01:45:08" />
    <testcase classname="Quotas" id="57b49b4b-987f-4b55-976a-bac017e26986" name="neutron_update" time="2.84" timestamp="2020-04-10T01:45:12" />
    <testcase classname="Quotas" id="102c6fb3-65c1-48cb-b074-4ae2beadb945" name="nova_update" time="3.14" timestamp="2020-04-10T01:45:16" />
  </testsuite>
  <testsuite errors="0" failures="0" id="22c9ce19-b28a-4d0f-ba80-9034584f7af3" skipped="0" tests="5" time="41.00" timestamp="2020-04-10T01:45:30">
    <testcase classname="SwiftObjects" id="37784dea-c7af-4203-b1c0-b3417f3235d0" name="create_container_and_object_then_list_objects" time="6.74" timestamp="2020-04-10T01:45:34" />
    <testcase classname="SwiftObjects" id="78ba4305-900a-4f4a-8793-422212a8753a" name="list_objects_in_containers" time="6.18" timestamp="2020-04-10T01:45:42" />
    <testcase classname="SwiftObjects" id="3e687dbc-5527-4325-b7e9-ca745aebbd07" name="create_container_and_object_then_download_object" time="7.10" timestamp="2020-04-10T01:45:50" />
    <testcase classname="SwiftObjects" id="78d88b3d-f2aa-435c-b444-5d7f2a47144d" name="create_container_and_object_then_delete_all" time="4.03" timestamp="2020-04-10T01:45:58" />
    <testcase classname="SwiftObjects" id="8ad4a9a2-16e8-4ec7-b1b4-4ea7e5d36c01" name="list_and_download_objects_in_containers" time="6.54" timestamp="2020-04-10T01:46:02" />
  </testsuite>
  <testsuite errors="0" failures="0" id="1ef003e6-f74f-4c49-88ea-377b724fb8b0" skipped="0" tests="11" time="57.00" timestamp="2020-04-10T01:46:21">
    <testcase classname="BarbicanContainers" id="bfdc5f14-9e42-4221-a99c-7fd4c6920ef6" name="create_and_add" time="3.67" timestamp="2020-04-10T01:46:25" />
    <testcase classname="BarbicanContainers" id="3a6fb944-d7bd-4899-b82d-0ab9c788a9d5" name="create_certificate_and_delete" time="2.84" timestamp="2020-04-10T01:46:29" />
    <testcase classname="BarbicanContainers" id="a03bfdec-2cce-4cd2-a171-7476184a152e" name="create_and_delete" time="2.97" timestamp="2020-04-10T01:46:33" />
    <testcase classname="BarbicanContainers" id="511a5682-b0fa-4dfc-a29d-e22bc5f9eb6f" name="create_rsa_and_delete" time="2.80" timestamp="2020-04-10T01:46:37" />
    <testcase classname="BarbicanSecrets" id="eb38470e-829c-48b9-a6f0-dcdbdbd36091" name="create_and_delete" time="3.17" timestamp="2020-04-10T01:46:41" />
    <testcase classname="BarbicanSecrets" id="3b733bab-9881-4cc3-b7e6-6a2ea210a7e3" name="create_and_get" time="5.51" timestamp="2020-04-10T01:46:46" />
    <testcase classname="BarbicanSecrets" id="a0b1a773-99dd-4ca8-a766-4688c1165de8" name="create_and_list" time="4.65" timestamp="2020-04-10T01:46:52" />
    <testcase classname="BarbicanSecrets" id="00833850-c442-4780-bc6e-b20f35cbfdf1" name="create" time="4.25" timestamp="2020-04-10T01:46:58" />
    <testcase classname="BarbicanSecrets" id="2cd74500-1193-4ef1-9d81-bc2462f94c7c" name="get" time="4.51" timestamp="2020-04-10T01:47:04" />
    <testcase classname="BarbicanContainers" id="6255e25a-8b1a-4d87-9f1b-cbc8d41d80d1" name="list" time="2.74" timestamp="2020-04-10T01:47:10" />
    <testcase classname="BarbicanSecrets" id="ac858e34-6d78-4ce9-8ea0-60cdc7b68787" name="list" time="3.08" timestamp="2020-04-10T01:47:14" />
  </testsuite>
</testsuites>
